felix-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "David Illsley (JIRA)" <j...@apache.org>
Subject [jira] Created: (FELIX-917) Upgrade QDox dependency for maven-scr-plugin to 1.8
Date Wed, 04 Feb 2009 17:39:59 GMT
Upgrade QDox dependency for maven-scr-plugin to 1.8
---------------------------------------------------

                 Key: FELIX-917
                 URL: https://issues.apache.org/jira/browse/FELIX-917
             Project: Felix
          Issue Type: Bug
          Components: Declarative Services (SCR)
    Affects Versions: maven-scr-plugin-1.0.8
            Reporter: David Illsley


I'm having problems using maven-scr-plugin due to QDOX-114 [1]

maven-scr-plugin currently depends on QDox 1.6.3 which includes a problem parsing classes
containing code like
int i = 0x1 <<1

It results in an exception beig thrown in the maven-scr-plugin execution and the build failing.

This is fixed in later versions of QDox. See [2] for a list of changes from 1.6.3.

I tried a local modification of the plugin using 1.8 and the problem I was experiencing was
fixed.

Thanks,
David

[1] http://jira.codehaus.org/browse/QDOX-114
[2] http://jira.codehaus.org/browse/QDOX?report=com.atlassian.jira.plugin.system.project:changelog-panel

-- 
This message is automatically generated by JIRA.
-
You can reply to this email to add a comment to the issue online.


Mime
View raw message